/*  Copyright (C) 2005 teame06 @ http://amxmodx.org

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

This version of Advanced Team Attack Control Jail Coord is for AMX MOD x 1.65
For support please visit http://www.amxmodx.org/forums/viewtopic.php?t=11930

Credit:
	Map parsing atac.cor was taken from ATAC from T(+)rget/f117bomb
	Show Hud Coordinated was taken from faluco @ http://www.a1mxmodx.org

*/

#include <amxmodx>
#include <amxmisc>
#include <engine>
#include <fun>

#include "atacjail/constants.inl"
#include "atacjail/atacjail.inl"
#include "atacjail/connect.inl"
#include "atacjail/file.inl"
#include "atacjail/menu.inl"

public plugin_init()
{
	register_plugin("ATAC Jail Maker", "1.00", "teame06")
	register_clcmd("atac_jailmenu", "atacjailmenu", ATAC_ADMIN_LEVEL, "- Show the Jail Coord Menu")
	register_concmd("atac_jail", "atac_activate", ATAC_ADMIN_LEVEL, "")
	new menuid = register_menuid("[ATAC]")
	register_menucmd(menuid, 1023, "atac_jail_menu")

	if (module_exists("engine"))
		g_engine = 1

	get_configsdir(g_filename, 63)
	format(g_filename, 63, "%s/atac", g_filename)
	check_dir(g_filename)
	format(g_filename, 63, "%s/atac.cor", g_filename)
	g_map_cors_pre = map_cors_present(g_map_cors_origin) /* check if that map has coordinates */
}